<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>

    <base href="{$public_root_url}/"/>
    {block name="head"}{/block}

    <link rel="icon" href="{static_url path="images/favicon.png"}"/>

    <title>{$main_pagetitle}{if $pagetitle} - {$pagetitle}{/if}</title>

    <!-- Bootstrap -->
    <link href="{static_url path="lib/bootstrap4/css/bootstrap.min.css"}" rel="stylesheet"/>

    <!-- Font Awesome -->
    <link href="{static_url path="lib/Fork-Awesome-1.1.7/css/fork-awesome.min.css"}" rel="stylesheet"/>

    <link href="{static_url path="css/eesyphp.css"}" rel="stylesheet"/>
    {foreach $css as $path}
      <link href="{$path|escape:"quotes"}" rel="stylesheet"/>
    {/foreach}
  </head>

  <body>

{block name="body"}

  {block name="navbar"}
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="">
      <img id="logo" src="{static_url path="images/logo.png"}" alt="Logo" title="Logo"/>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        {block name="navbar-content"}{/block}
      </ul>

      <form class="form-inline my-2 my-lg-0" action="item" method="post">
        <input type="hidden" name="session_key" value="{$session_key}"/>
        <input class="form-control mr-sm-2" type="search" placeholder="Rechercher" name="pattern" aria-label="Rechercher"/>
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit"><i class="fa fa-search"></i></button>
      </form>
      {if isset($auth_user) && $auth_user}
      <ul class="navbar-nav ml-md-auto">
        <li class="nav-item dropdown">
          <a class="nav-item nav-link dropdown-toggle mr-md-2" href="#" id="bd-versions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fa fa-user" aria-hidden="true"></i> {$auth_user->name|escape:"htmlall"} <span class="caret"></span>
          </a>
          <div class="dropdown-menu dropdown-menu-right">
            {block name="navbar-user-menu"}{/block}
            <a class="dropdown-item" href="logout"><i class="fas fa-sign-out-alt"></i> {t domain=$CORE_TEXT_DOMAIN}Sign out{/t}</a>
          </div>
        </li>
      </ul>
      {/if}
    </div>


  </nav>
  {/block}

  <main role="main">
    <div class="container-fluid" id="content_container">
      {block name="pagetitle"}{if $pagetitle}<h1>{$pagetitle}</h1>{/if}{/block}
      {include file='Tpl:errors.tpl'}
      {include file='Tpl:messages.tpl'}
      {block name="content"}{/block}
    </div>
  </main>

  {block name="footer"}
  <div id='footer'>
    {block name="footer-content"}
    <p><a href="https://gogs.zionetrix.net/bn8/eesyphp">EesyPHP</a></p>
    {/block}
  </div>
  {/block}
{/block}


  <!-- Jquery & Bootstrap -->
  <script src="{static_url path="lib/jquery-3.4.1.min.js"}"></script>
  <script src="{static_url path="lib/bootstrap4/js/bootstrap.bundle.min.js"}"></script>

  <!-- Other libs & JavaScript scripts -->
{foreach $js as $path}
  <script language="javascript" src="{$path|escape:"quotes"}"></script>
{/foreach}

{if $webstats_js_code}{$webstats_js_code}{/if}
  </body>
</html>
{*
# vim: autoindent expandtab tabstop=2 shiftwidth=2 softtabstop=2
*}
